function Exxlyr = CalcYoungMod_4(Ncells,l,h,Emxx,Egxx,tg,wg,lg,hg)
    
##    agrafcell = l*h*wg;               %area del grafeno         
##    lg = sqrt(ratio*agrafcell);             %relacion 1:1
##    hg = lg/ratio; 
        
    lamb1 = (h-hg)./(l-lg); %[h,hg,l,lg]
    lamb2 = (h-hg)./(2*lg);
    lamb3 = 2*hg./(l-lg);
    lamb4 = hg./lg;
    
    kxxcell = 1.0./(2*Emxx*tg*lamb1.*lamb2./(lamb1+2.*lamb2) + Emxx*Egxx*tg*lamb3.*lamb4./(Emxx*lamb3+2*Egxx*lamb4));
    Kxxrow = 1.0/sum(kxxcell,2);
    Klayer = sum(Kxxrow);
    Exxlyr = Klayer*1.0/tg;
      
 return