rho_m =         %densidad de la matriz
rho_g = 1060;   %densidad del grafeno
wg    =         %fraccion en peso del grafeno en la matriz
lg    =         %longitud media del grafeno
hg    =         %espesor medio del grafeno
Wg    =         %ancho medio del grafeno
Em = 3e9;       %Modulo Young matriz
vm = 0.34;      %Modulo de Poisson matriz
vg = 0.186;     %Modulo de Poisson grafeno
Eg = 1.01e12;   %Modulo de Poisson grafeno

%-----calculo
Vg = wg/(wg+(rho_g/rho_m)*(1-gw));
Vm = 1-Vg;

rho_eff = rho_g*Vg + rho_m*Vm;
nu_eff = nu_g*Vg + nu_m*Vm;

xi_l = 2*(lg/hg);
xi_w = 2*(Wg/hg);

gamma_gm = EG/EM;

eta_l = (gamma_gm - 1)/(gamma_gm + xi_l);
eta_w = (gamma_gm - 1)/(gamma_gm + xi_w);

E11 = (1 + xi_l*eta_l*VG)/(1 - eta_l*VG)*E_M;
E22 = (1 + x1_w*eta_w*VG)/(1 - eta_w*VG)*E_M;
Eeff = 3/8*E11 + 5/8*E22;